#include<iostream>
#include<cmath>
using namespace std;
int broj_cifara(long long n)
{
    int broj=0;
   while(n!=0)
   {
       n=n/10;
       broj++;
   }
   return broj;
}
int main()
{
    long long a,b,c,a2,b2,c2;
    int a1,b1,c1;
    cin>>a>>b>>c;
    a1=broj_cifara(a);
    b1=broj_cifara(b);
    c1=broj_cifara(c);
    int d=max(a1,b1);
    int maksbrcif=max(d,c1);
    a2=a*pow(10,maksbrcif-a1);
    b2=b*pow(10,maksbrcif-b1);
    c2=c*pow(10,maksbrcif-c1);
    if(c2>=b2 && c2>=a2 && a2>=b2) {cout<<c<<a<<b; return 0;}
    if(c2>=b2 && c2>=a2 && b2>=a2) {cout<<c<<b<<a; return 0;}
    if(b2>=c2 && b2>=a2 && a2>=c2) {cout<<b<<a<<c; return 0;}
    if(b2>=c2 && b2>=a2 && c2>=a2) {cout<<b<<c<<a; return 0;}
    if(a2>=c2 && a2>=b2 && c2>=b2) {cout<<a<<c<<b; return 0;}
    if(a2>=c2 && a2>=b2 && b2>=c2) {cout<<a<<b<<c; return 0;}

}